Skip to content

Upload waypoint file

POST
/api/v1/waypoint/{id}/file
curl --request POST \
--url https://example.com/api/v1/waypoint/example/file \
--header 'Content-Type: multipart/form-data' \
--form file=@file

Uploads a file (photo) for a waypoint

id
required
string
Media type multipart/form-data
object
file
string format: binary

File uploaded, waypoint updated

Media type application/json
object
id
required

Waypoint ID (15 chars)

string
name
string
description
string
lat
required
number
>= -90 <= 90
lon
required
number
>= -180 <= 180
distance_from_start

Distance from trail start in meters

number
icon

Icon identifier

string
author
required

Author user ID (15 chars)

string
photos
Array<string>
trail

Trail ID (15 chars)

string
created
string format: date-time
updated
string format: date-time
Example generated
{
"id": "example",
"name": "example",
"description": "example",
"lat": 1,
"lon": 1,
"distance_from_start": 1,
"icon": "example",
"author": "example",
"photos": [
"example"
],
"trail": "example",
"created": "2026-04-15T12:00:00Z",
"updated": "2026-04-15T12:00:00Z"
}

Bad Request

Not Found

Internal Server Error